OneBasket

Select seats

POST
/baskets/{id}/products/{productId}/ticketing/select-seats

Select seats (auto and manual) for the given ticketed event.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The id of the basket

productId*string

The product id of the ticketed event that tickets are being purchased for.

Header Parameters

x-api-key*string

Request Body

application/json

Select seats automatically by setting rates, or manually by setting seats

TypeScript Definitions

Use the request body type in TypeScript.

Select seats automatically by setting rates, or manually by setting seats.

Response Body

application/json

curl -X POST "https://example.com/baskets/string/products/string/ticketing/select-seats" \  -H "x-api-key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "notificationId": "string"}